module Oxen
  class Engine < ::Rails::Engine
    isolate_namespace Oxen

    config.before_initialize do
      ActiveSupport.on_load :action_controller do
        include Oxen::ApplicationHelper
      end
      ActiveSupport.on_load :action_view do 
        include Oxen::ApplicationHelper
      end
    end
    initializer 'oxen.mount' do |app|
      app.routes.append do
        mount Oxen::Engine => "/"
      end
    end
  end
end

